## org.eclipse.xsd.util
Class DefaultJAXPConfiguration

    java.lang.Object
      org.eclipse.xsd.util.DefaultJAXPConfiguration

All Implemented Interfaces:
  JAXPConfiguration

    public class DefaultJAXPConfiguration

extends java.lang.Object
implements JAXPConfiguration

This class provides a default implementation of JAXPConfiguration interface. It creates and configures SAX parser, DOM parser and transformer using options needed by XSD implementation.

Constructor Summary
`DefaultJAXPConfiguration()`

Method Summary
`javax.xml.parsers.DocumentBuilder` `createDocumentBuilder(org.xml.sax.ErrorHandler errorHandler)` Creates a DocumentBuilder and sets some default options.
`org.xml.sax.EntityResolver` `createEntityResolver()`
`javax.xml.parsers.SAXParser` `createSAXParser(org.xml.sax.ext.LexicalHandler lexicalHandler)` Creates a SAXParser and sets some default options.
`javax.xml.transform.Transformer` `createTransformer(java.lang.String encoding)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultJAXPConfiguration

    public DefaultJAXPConfiguration()

Method Detail

### createTransformer

    public javax.xml.transform.Transformer createTransformer(java.lang.String encoding)
                                                      throws javax.xml.transform.TransformerException

  Specified by:
    `createTransformer` in interface `JAXPConfiguration`
  Throws:
    `javax.xml.transform.TransformerException`

### createSAXParser

    public javax.xml.parsers.SAXParser createSAXParser(org.xml.sax.ext.LexicalHandler lexicalHandler)
                                                throws javax.xml.parsers.ParserConfigurationException,
                                                       org.xml.sax.SAXException

  Creates a SAXParser and sets some default options.

  Specified by:
    `createSAXParser` in interface `JAXPConfiguration`
  Throws:
    `javax.xml.parsers.ParserConfigurationException`
    `org.xml.sax.SAXException`

### createDocumentBuilder

    public javax.xml.parsers.DocumentBuilder createDocumentBuilder(org.xml.sax.ErrorHandler errorHandler)
                                                            throws javax.xml.parsers.ParserConfigurationException

  Creates a DocumentBuilder and sets some default options. If features or properties are available, these features and properties are set on the documentBuilder.

  Specified by:
    `createDocumentBuilder` in interface `JAXPConfiguration`
  Throws:
    `javax.xml.parsers.ParserConfigurationException`

### createEntityResolver

    public org.xml.sax.EntityResolver createEntityResolver()

  Specified by:
    `createEntityResolver` in interface `JAXPConfiguration`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.